---
# Only the main Sass file needs front matter (the dashes are enough)
---
@charset "utf-8";



// Our variables
$base-font-family: Helvetica, Arial, sans-serif;
$base-font-size:   16px;
$small-font-size:  $base-font-size * 0.875;
$base-line-height: 1.5;

$spacing-unit:     30px;

$text-color:       #111;
$background-color: #fdfdfd;
$brand-color:      #2a7ae2;

$grey-color:       #828282;
$grey-color-light: lighten($grey-color, 40%);
$grey-color-dark:  darken($grey-color, 25%);

$on-palm:          600px;
$on-laptop:        800px;

$footer-height: 50px;



// Using media queries with like this:
// @include media-query($palm) {
//     .wrapper {
//         padding-right: $spacing-unit / 2;
//         padding-left: $spacing-unit / 2;
//     }
// }
@mixin media-query($device) {
    @media screen and (max-width: $device) {
        @content;
    }
}



// Import partials from `sass_dir` (defaults to `_sass`)
@import
        //"base",
        //"layout",
        "courses"
        //"syntax-highlighting"
;

body {
    min-height: 100vh;
    padding-bottom: $footer-height;
    position: relative;
}
.app-navbar, footer.app-footer {
    background-color: #5c068c;
}

footer.app-footer {
    padding-top: 0;
    height: $footer-height;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
}